---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

# ----------------------------------------------------------------------------
#                       Platform base templates
# ----------------------------------------------------------------------------
.platform_base: &platform_base
  - box: ${VENV_HYPER_BOX_IMG:-ubuntu/focal64}
    box_version: >
      ${VENV_HYPER_BOX_VER:->= 0}

# ----------------------------------------------------------------------------
#                           Platform hosts
# ----------------------------------------------------------------------------
platforms:
  - name: nexus-stack
    <<: *platform_base
    cpus: ${VENV_HYPER_BOX_CPU:-4}
    memory: ${VENV_HYPER_BOX_MEM:-4096}
    hostname: nexus-stack
    provision: true
    groups: ["nexus_proxy"]
    instance_raw_config_args:
      - vagrant.plugins = ["vagrant-hosts"]
      - 'vm.network "private_network", ip: "172.16.50.10"'
      - >-
        vm.provision "hosts" do |hosts|
          hosts.autoconfigure = true
          hosts.sync_hosts = true
        end

  - name: nexus-client
    <<: *platform_base
    cpus: 2
    memory: 2048
    hostname: nexus-client
    provision: true
    groups: ["nexus_client"]
    instance_raw_config_args:
      - vagrant.plugins = ["vagrant-hosts"]
      - 'vm.network "private_network", ip: "172.16.50.11"'
      - >-
        vm.provision "hosts" do |hosts|
          hosts.autoconfigure = true
          hosts.sync_hosts = true
          hosts.add_host '172.16.50.10', [
            "nexus.#{ENV['VENV_HYPER_NET_FQDN']}",
            "dockerhub.#{ENV['VENV_HYPER_NET_FQDN']}"
          ]
        end
